Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008160TestLinkUsers and Rightspublic2017-12-22 15:312017-12-30 10:14
ReporterMr.Bricodage 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.17 (2017 Q2) 
Summary0008160: Access to Requirement Monitoring functions
DescriptionRequirements Monitoring is not linked to any right.
In Req View, the button is always displayed, even if monitoring is impossible to the role (req view only).

The feature should be linked to a new right.
Steps To ReproduceN/A
Additional InformationPR to follow
TagsNo tags attached.
Database (MySQL,Postgres,etc)Any
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0027099)
Mr.Bricodage (updater)
2017-12-22 15:37

https://github.com/TestLinkOpenSourceTRMS/testlink-code/pull/130 [^]

New right that is checked to :
- Access Req Monitor Overview from desktop
- List Users that monitor a req when viewing a requirement
- Access "Start Monitoring" and "Stop Monitoring" buttons when viewing a requirement
(0027106)
Mr.Bricodage (updater)
2017-12-26 21:53

Should be logged as resolved in TestLink 1.9.17 : PR has been merged

- Issue History
Date Modified Username Field Change
2017-12-22 15:31 Mr.Bricodage New Issue
2017-12-22 15:37 Mr.Bricodage Note Added: 0027099
2017-12-26 21:53 Mr.Bricodage Note Added: 0027106
2017-12-30 10:14 fman QA Team - Task Workflow Status => READY FOR TESTING
2017-12-30 10:14 fman Status new => resolved
2017-12-30 10:14 fman Fixed in Version => 1.9.17 (2017 Q2)
2017-12-30 10:14 fman Resolution open => fixed
2017-12-30 10:14 fman Assigned To => fman



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker